import type { ProjectReflection } from "typedoc";
import type { Plugin } from "../plugin.js";
/**
 * Merger that moves the content of all modules into the project root.
 */
export declare class ProjectMerger {
    /** The project whose modules are merged. */
    private readonly project;
    /** The plugin which is using this merger. */
    private readonly plugin;
    /**
     * Creates a new merger instance.
     * @param project The project whose modules are merged.
     * @param plugin The plugin which is using this merger.
     */
    constructor(project: ProjectReflection, plugin: Plugin);
    /**
     * Performs the merging routine.
     */
    execute(): void;
}
